%global theme	iOS

Name:		iOS-iCons-icon-theme
Version:	0.7
Release:	%mkrel 1
Summary:	%{theme} icon theme
Group:		System/Configuration/Theme
License:	GPL3
URL:		https://www.gnome-look.org/p/1171263/
Source:		%{theme}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
AutoReqProv:    no


%description
A simple icons set for Linux, emulates the look & feel of iOS devices, based on Macbuntu icons.


%prep
%setup -q -n %{theme}


%build
# Nothing to build

%install

rm -rf %{buildroot}

%{__install} -d -m755 %{buildroot}%{_datadir}/icons/
cp -arv $RPM_BUILD_DIR/%{theme} %{buildroot}%{_datadir}/icons/



%post
touch --no-create %{_datadir}/icons/iOS &>/dev/null ||:
%update_icon_cache iOS

%postun
if [ $1 -eq 0 ] ; then
         touch --no-create %{_datadir}/icons/iOS &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/iOS &>/dev/null ||:
fi

%clean_icon_cache iOS

%posttrans 
gtk-update-icon-cache %{_datadir}/icons/iOS &>/dev/null ||:

%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{theme}


%files
%{_datadir}/icons/*


%changelog
* Thu Dec 27 2018 adrianomorselli <adrianomorselli> 0.7-1uplos2019
- imported for uplos
- thanks to Agent Smith
